/************************************************************************
 * 			MEKATRONIX Copyright 1998 		        *
 * Title        clock.h                                                 *
 * Programmer   Keith L. Doty                                           *
 * Date         May 18, 1999                                            *
 * Version      1                                                       *
 *                                                                      *
 * Description								*
 *	This header file refers to all routines and interrupt drivers   *
 *      necessary for clock control. The clock keeps track of 		*
 *      milliseconds, seconds, minutes, hours, days and ms_timer.	*
 ************************************************************************/


/**************************** Includes **********************************/
#include <hc11.h>
#include <mil.h>
/************************************************************************/

/*************************** Prototypes *********************************/

#pragma interrupt_handler TOC1_isr
void TOC1_isr(void); /*Interrupt service routine to generate clock ticks*/
void init_clock(void);/*Must be executed to enable clock routines*/
void wait(int);   /* Wait for int milliseconds */

/************************************************************************/


/***************************** Globals **********************************/

unsigned int msec, seconds, minutes, hours, days, ms_timer;

/*
           Range
  msec:    0-999
  seconds: 0-59
  minutes: 0-59
  hours:   0-23
  days:    0-255

  ms_timer:  0 to 65535 milliseconds

*/

/************************************************************************/

