@echo off
echo ********************************************************************
echo *             Copyright by Mekatronix 1998                         *
echo * 1. Switch DownLoad/Run to Download                               *
echo * 2. Turn PowerOn/PowerSave switch to PowerOn                      *
echo * 3. Push the RESET button on your Mekatronix MRC11 board.         *
echo *                                                                  *
echo *  Diode D2 next to the edge of the Mekatronix MB2325 board        *
echo *  will light each time you press the reset button. If it does     *
echo *  not light, unplug the 6-wire cable at one end, rotate the plug  *
echo *  180 degrees and replug.                                         *
echo *                                                                  *
echo ********************************************************************
echo If you're ready, 
pause

if "%1"=="" goto noargument
set nofile=true
if exist %1 set nofile=false
if exist %1.s19 set nofile=false
if %nofile%==true goto wrongfile
if not exist mrc11.mcr goto nomacro
if "%2"=="" goto Port1

pcbug11 -a port=%2 macro=mrc11 (%1)
goto display

:Port1
pcbug11 -a port=1 macro=mrc11 (%1)

:display
echo **********************************************************************
echo * Note: If you see the error message (Bad command or file name),     *
echo *       You need to copy PCBUG11.EXE into the current path.          *
echo **********************************************************************
echo * If there were no error messages while setting up or downloading,   *
echo *   make sure to set your mode switch into Run (Expanded) Mode.      *
echo * Now, you're ready to execute your program by pressing RESET        *
echo *   button on your Mekatronix MRC11 board.                           *
echo *                                                                    *
echo * CAUTION!                                                           *
echo *          If the MRC11 controls a TALRIK robot, make sure the robot *
echo *          is on the floor or it wheels are elevated off any surface.*
echo *          Otherwise, you may end up with a robot driving off your   *
echo *          work surface onto the floor! Not a pretty sight!          *
echo **********************************************************************
goto end

:noargument
echo MRC11.bat is a batch file to do the followings:
echo   1. Set up Mekatronix MRC11 board ready for Download
echo   2. Download S19 file into Mekatronix MRC11 board
echo *********************************
echo * Usage: mrc11 S19_File PortNo *
echo *********************************
echo   S19_File: S19 Filename (You don't need to include extension .s19)
echo   PortNo: Communication Port Number
echo           1 (Default) for COM1
echo           2 for COM2
echo           3 for COM3
echo           4 for COM4
echo (Example 1) Download test.s19 under c:\s19files\test.s19 via COM1
echo    mrc11 c:\s19files\test     
echo (Example 2) Download test2.s19 under the current directory via COM2
echo    mrc11 test2 2    
goto end

:wrongfile
echo **********************************************************************
echo  Error: Cannot find the filename 
echo              %1 or %1.s19     
echo         Check your file and try again.            
echo **********************************************************************
goto end

:nomacro
echo **********************************************************************
echo  Error: Cannot find MRC11.MCR under the current directory. 
echo         Copy MRC11.MCR into the current directory.
echo **********************************************************************
goto end

:end
cd ..
echo ** End of MRC11.BAT execution **

